For the complete documentation index, see llms.txt. This page is also available as Markdown.

List consent history for a customer

List the history of a specific consent type for a customer.

The list is sorted by createdAt, where the newest history element is first

get
/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Responses
200

Example response

application/json
get/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "consentUid": "text",
      "name": "text",
      "status": true,
      "source": "text",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?